Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03814 Graphics Minor Always Apr 14, 2010, 11:16 Jul 14, 2016, 17:48
Tester abelardator2 View Status Public Platform MAMEUI
Assigned To Resolution Open OS
Status [?] Acknowledged Driver mystwarr.cpp
Version 0.137u2 Fixed in Version Build Normal
Summary 03814: metamrph, metamrphj, metamrphu: Graphics bugs in the emulation.
Description Graphics bugs in the emulation, but the driver is imperfect, I put these pictures so you can see errors.

Gameplay in original PCB:


Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems metamrph, metamrphj, metamrphu
Attached Files
jpg file icon B1.jpg (182,035 bytes) Apr 14, 2010, 11:16
jpg file icon B2.jpg (190,929 bytes) Apr 14, 2010, 11:17
jpg file icon B3.jpg (184,456 bytes) Apr 14, 2010, 11:17
jpg file icon BB1.jpg (42,619 bytes) Apr 14, 2010, 12:50
jpg file icon BB2.jpg (55,233 bytes) Apr 14, 2010, 12:51
jpg file icon BB3.jpg (53,603 bytes) Apr 14, 2010, 12:51
jpg file icon X1.jpg (108,195 bytes) Apr 14, 2010, 16:17
Relationships
related to 00758Confirmed metamrph: Crashes just before approaching the first level's boss with an Access Violation error. 
related to 03644Confirmed tmnt2, ssriders, suratk: Graphic error with high priority shadows 
related to 04390Closed metamrph, metamrphj, metamrphu: Graphics Bugs 
Notes
10
User avatar
No.05980
Fujix
Administrator
Apr 17, 2010, 04:54
edited on: Apr 17, 2010, 04:56
This has relevance to 00758, which has to be sorted out into graphical issues and others.

Maybe we should close 00758 for fixing the access violation issue, and move gfx things over here.

User avatar
No.07532
Scagazza
Tester
Jun 10, 2011, 18:55
I have uploaded two new pics.
The face of the goddess at the begin of the game seems to have graphic glitch then became normal.
User avatar
No.07549
Kale
Developer
Jun 19, 2011, 10:44
Last bug is timing related, i.e. unrelated to everything else. (and no, it isn't easy to fix that, at all)
User avatar
No.07580
Fujix
Administrator
Jun 26, 2011, 03:19
Moved screenshots (1.jpg - 14.jpg) from a duplicated 04390.
User avatar
No.07583
abelardator2
Tester
Jun 26, 2011, 14:36
Fujix, the above pictures have always found bugs in the driver, the new images have new bugs in later versions of the emulator.
User avatar
No.07584
Fujix
Administrator
Jun 26, 2011, 15:07
edited on: Jun 26, 2011, 15:17
I think it is not a definite reason to divide the report to two. Please add that you found some more bugs in the later versions to the this. Besides the driver has an imperfect graphics flag, originally this report cannot be here according to the testers regulation, but in this case, your original pictures encouraged it to be acknowledged.

Rather than that, I'd like to create a new bug entry for the timing issue that Kale points out. It is a clearly different problem.

User avatar
No.07586
abelardator2
Tester
Jun 26, 2011, 21:07
Clearly the new errors are not due to imperfect driver, are related with otherwise, so I made a new report, to differentiate.
User avatar
No.10540
AWJ
Developer
Apr 6, 2014, 19:52
The sprite offsets (most/all of the "new bugs" in the screenshots dated June 2011) should be fixed in 0.153.
User avatar
No.12935
abelardator2
Tester
Jul 13, 2016, 16:45
Hi,
I've got a version (AAA) of this game, I have the data read of the proms,I can send someone for implementation in Mame?
User avatar
No.12936
B2K24
Moderator
Jul 13, 2016, 17:21
Sounds good abelardator2, please see the information on this page for submissions --> http://wiki.mamedev.org/index.php?title=Submitting_Source_Code